package models

import "LAPP_LF_MOM_BACKEND/utils"

type Workcalendarlst struct {
	Finr           int    `xorm:"pk comment('工厂号') Int" json:"workcalendarlst-finr"`
	Workcalendarid int    `xorm:"pk comment('工作日历ID') Int" json:"workcalendarlst-workcalendarid"`
	Workdate       string `xorm:"pk comment('工作日') Int" json:"workcalendarlst-workdate"`
	Daymodelid     int    `xorm:"comment('日模型ID') INT" json:"workcalendarlst-daymodelid"`
	Descr          string `xorm:"-" json:"workcalendarlst-descr"`
	Abrev          string `xorm:"-" json:"workcalendarlst-abrev"`
	Color          string `xorm:"-" json:"workcalendarlst-color"`
}

func (t *Workcalendarlst) TableName() string {
	return "workcalendarlst"
}

// 清除string字段的右侧空格
func (t *Workcalendarlst) Clipped() {
	utils.TrimStruct(t, *t)
}
